Package org.eclipse.equinox.p2.planner

## Class ProfileInclusionRules

- java.lang.Object
- - org.eclipse.equinox.p2.planner.ProfileInclusionRules

    public class ProfileInclusionRules
    extends Object

Helper method to decide on the way the installable units are being included.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `createOptionalInclusionRule​(IInstallableUnit iu)` Returns an inclusion rule to optionally install the given installable unit.
`static String` `createStrictInclusionRule​(IInstallableUnit iu)` Returns an inclusion rule to strictly install the given installable unit.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createStrictInclusionRule

    public static String createStrictInclusionRule​(IInstallableUnit iu)

Returns an inclusion rule to strictly install the given installable unit. Strictly installed installable units will never be uninstalled in order to satisfy a later profile change request. That is, when there is a dependency conflict between a strictly installed unit and a non-strict unit, the strictly installed installable unit will take precedence.

Parameters:
  `iu` - the installable unit to be installed.
Returns:
  an opaque token to be passed to the `IProfileChangeRequest.setInstallableUnitInclusionRules(IInstallableUnit, String)`

#### createOptionalInclusionRule

    public static String createOptionalInclusionRule​(IInstallableUnit iu)

Returns an inclusion rule to optionally install the given installable unit. An optionally installed installable unit will automatically be removed from the profile if any of its dependencies become unsatisfied.

Parameters:
  `iu` - the installable unit to be installed.
Returns:
  an opaque token to be passed to the `IProfileChangeRequest.setInstallableUnitInclusionRules(IInstallableUnit, String)`